diff --git a/changelog b/changelog
index 666bd42..916c822 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20071005 tpd src/input/Makefile kamke5.input regression test added
+20071005 tpd src/input/kamke5.input ODE regression test added
 20071005 tpd src/input/Makefile kamke4.input regression test added
 20071005 tpd src/input/kamke4.input ODE regression test added
 20071005 tpd src/input/Makefile kamke3.input regression test added
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index b803938..1d2626f 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -323,7 +323,7 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     iprntpk.regress \
     ipftest.regress   is.regress       isprime.regress  kafile.regress \
     kamke0.regress    kamke1.regress   kamke2.regress   kamke3.regress \
-    kamke4.regress \
+    kamke4.regress    kamke5.regress \
     kernel.regress    knot2.regress    kovacic.regress  kuipers.regress \
     laplace.regress   leg.regress      limit.regress    lindep.regress \
     list.regress      lode.regress     lodesys.regress  lodo1.regress \
@@ -564,6 +564,7 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/ipftest.input  ${OUT}/is.input         ${OUT}/isprime.input \
        ${OUT}/kafile.input   ${OUT}/kamke0.input     ${OUT}/kamke1.input \
        ${OUT}/kamke2.input   ${OUT}/kamke3.input     ${OUT}/kamke4.input \
+       ${OUT}/kamke5.input \
        ${OUT}/kernel.input   ${OUT}/knot.input \
        ${OUT}/kovacic.input  ${OUT}/kuipers.input  \
        ${OUT}/laplace.input  ${OUT}/leg.input        ${OUT}/lexp.input \
@@ -831,7 +832,7 @@ DOCFILES= \
   ${DOC}/isprime.input.dvi     ${DOC}/kafile.input.dvi     \
   ${DOC}/kamke0.input.dvi      ${DOC}/kamke1.input.dvi     \
   ${DOC}/kamke2.input.dvi      ${DOC}/kamke3.input.dvi     \
-  ${DOC}/kamke4.input.dvi     \
+  ${DOC}/kamke4.input.dvi      ${DOC}/kamke5.input.dvi     \
   ${DOC}/kernel.input.dvi      ${DOC}/knot2.input.dvi      \
   ${DOC}/knot.input.dvi        ${DOC}/knownbugs.input.dvi  \
   ${DOC}/kovacic.input.dvi     ${DOC}/kuipers.input.dvi    \
diff --git a/src/input/kamke5.input.pamphlet b/src/input/kamke5.input.pamphlet
new file mode 100644
index 0000000..34a8ee0
--- /dev/null
+++ b/src/input/kamke5.input.pamphlet
@@ -0,0 +1,1634 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input kamke5.input}
+\author{Timothy Daly}
+\maketitle
+\begin{abstract}
+This is the 251-300 of the Kamke test suite as published by 
+E. S. Cheb-Terrab\cite{1}. They have been rewritten using Axiom
+syntax. Where possible we show that the particular solution actually
+satisfies the original ordinary differential equation.
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+<<*>>=
+)spool kamke5.output
+)set break resume
+)set mes auto off
+)clear all
+
+--S 1 of 130
+y:=operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 1
+
+--S 2 of 130
+f:=operator 'f
+--R 
+--R
+--R   (2)  f
+--R                                                          Type: BasicOperator
+--E 2
+
+--S 3 of 130
+f0:=operator 'f0
+--R 
+--R
+--R   (3)  f0
+--R                                                          Type: BasicOperator
+--E 3
+
+--S 4 of 130
+f1:=operator 'f1
+--R 
+--R
+--R   (4)  f1
+--R                                                          Type: BasicOperator
+--E 4
+
+--S 5 of 130
+f2:=operator 'f2
+--R 
+--R
+--R   (5)  f2
+--R                                                          Type: BasicOperator
+--E 5
+
+--S 6 of 130
+f3:=operator 'f3
+--R 
+--R
+--R   (6)  f3
+--R                                                          Type: BasicOperator
+--E 6
+
+--S 7 of 130
+g:=operator 'g
+--R 
+--R
+--R   (7)  g
+--R                                                          Type: BasicOperator
+--E 7
+
+--S 8 of 130
+g0:=operator 'g0
+--R 
+--R
+--R   (8)  g0
+--R                                                          Type: BasicOperator
+--E 8
+
+--S 9 of 130
+g1:=operator 'g1
+--R 
+--R
+--R   (9)  g1
+--R                                                          Type: BasicOperator
+--E 9
+
+--S 10 of 130
+h:=operator 'h
+--R 
+--R
+--R   (10)  h
+--R                                                          Type: BasicOperator
+--E 10
+
+--S 11 of 130
+ode251 := (x**2*y(x)-1)*D(y(x),x)+x*y(x)**2-1
+--R 
+--R
+--R           2          ,            2
+--R   (11)  (x y(x) - 1)y (x) + x y(x)  - 1
+--R
+--R                                                     Type: Expression Integer
+--E 11
+
+--S 12 of 130
+yx:=solve(ode251,y,x)
+--R 
+--R
+--R          2    2
+--R         x y(x)  - 2y(x) - 2x
+--R   (12)  --------------------
+--R                   2
+--R                                          Type: Union(Expression Integer,...)
+--E 12
+
+--S 13 of 130
+ode251expr := (x**2*yx-1)*D(yx,x)+x*yx**2-1
+--R 
+--R
+--R   (13)
+--R          6    3     4    2     5         3      ,        5    4     3    3
+--R       (2x y(x)  - 6x y(x)  - 4x y(x) + 4x  + 4)y (x) + 3x y(x)  - 8x y(x)
+--R
+--R     + 
+--R            4    2      2         3
+--R       - 10x y(x)  + 12x y(x) + 8x
+--R  /
+--R     4
+--R                                                     Type: Expression Integer
+--E 13
+
+--S 14 of 130
+ode252 := (x**2*y(x)-1)*D(y(x),x)-(x*y(x)**2-1)
+--R 
+--R
+--R           2          ,            2
+--R   (14)  (x y(x) - 1)y (x) - x y(x)  + 1
+--R
+--R                                                     Type: Expression Integer
+--E 14
+
+--S 15 of 130
+solve(ode252,y,x)
+--R 
+--R
+--R   (15)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 15
+
+--S 16 of 130
+ode253 := (x**2*y(x)-1)*D(y(x),x)+8*(x*y(x)**2-1)
+--R 
+--R
+--R           2          ,             2
+--R   (16)  (x y(x) - 1)y (x) + 8x y(x)  - 8
+--R
+--R                                                     Type: Expression Integer
+--E 16
+
+--S 17 of 130
+solve(ode253,y,x)
+--R 
+--R
+--R   (17)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 17
+
+--S 18 of 130
+ode254 := x*(x*y(x)-2)*D(y(x),x)+x**2*y(x)**3+x*y(x)**2-2*y(x)
+--R 
+--R
+--R           2           ,       2    3         2
+--R   (18)  (x y(x) - 2x)y (x) + x y(x)  + x y(x)  - 2y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 18
+
+--S 19 of 130
+solve(ode254,y,x)
+--R 
+--R
+--R   (19)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 19
+
+--S 20 of 130
+ode255 := x*(x*y(x)-3)*D(y(x),x)+x*y(x)**2-y(x)
+--R 
+--R
+--R           2           ,            2
+--R   (20)  (x y(x) - 3x)y (x) + x y(x)  - y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 20
+
+--S 21 of 130
+solve(ode255,y,x)
+--R 
+--R
+--R   (21)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 21
+
+--S 22 of 130
+ode256 := x**2*(y(x)-1)*D(y(x),x)+(x-1)*y(x)
+--R 
+--R
+--R           2        2  ,
+--R   (22)  (x y(x) - x )y (x) + (x - 1)y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 22
+
+--S 23 of 130
+solve(ode256,y,x)
+--R 
+--R
+--R   (23)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 23
+
+--S 24 of 130
+ode257 := x*(x*y(x)+x**4-1)*D(y(x),x)-y(x)*(x*y(x)-x**4-1)
+--R 
+--R
+--R           2        5      ,            2     4
+--R   (24)  (x y(x) + x  - x)y (x) - x y(x)  + (x  + 1)y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 24
+
+--S 25 of 130
+solve(ode257,y,x)
+--R 
+--R
+--R   (25)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 25
+
+--S 26 of 130
+ode258 := 2*x**2*y(x)*D(y(x),x)+y(x)**2-2*x**3-x**2
+--R 
+--R
+--R           2     ,          2     3    2
+--R   (26)  2x y(x)y (x) + y(x)  - 2x  - x
+--R
+--R                                                     Type: Expression Integer
+--E 26
+
+--S 27 of 130
+yx:=solve(ode258,y,x)
+--R 
+--R
+--R                         1
+--R                       - -
+--R              2    2     x
+--R   (27)  (y(x)  - x )%e
+--R                                          Type: Union(Expression Integer,...)
+--E 27
+
+--S 28 of 130
+ode258expr := 2*x**2*yx*D(yx,x)+yx**2-2*x**3-x**2
+--R 
+--R
+--R   (28)
+--R                              1 2
+--R                            - -
+--R        2    3     4          x   ,
+--R     (4x y(x)  - 4x y(x))(%e   ) y (x)
+--R
+--R   + 
+--R                                                   1 2
+--R                                                 - -
+--R           4        3     2     2     5     4      x       3    2
+--R     (3y(x)  + (- 4x  - 6x )y(x)  + 4x  + 3x )(%e   )  - 2x  - x
+--R                                                     Type: Expression Integer
+--E 28
+
+--S 29 of 130
+ode259 := 2*x**2*y(x)*D(y(x),x)-y(x)**2-x**2*exp(x-1/x)
+--R 
+--R
+--R                             2
+--R                            x  - 1
+--R                            ------
+--R           2     ,       2     x         2
+--R   (29)  2x y(x)y (x) - x %e       - y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 29
+
+--S 30 of 130
+yx:=solve(ode259,y,x)
+--R 
+--R
+--R                 2
+--R             1  x  - 1          1
+--R             -  ------          -
+--R             x     x         2  x
+--R   (30)  - %e %e       + y(x) %e
+--R                                          Type: Union(Expression Integer,...)
+--E 30
+
+--S 31 of 130
+ode259expr := 2*x**2*yx*D(yx,x)-yx**2-x**2*exp(x-1/x)
+--R 
+--R
+--R   (31)
+--R                        2
+--R                  1 2  x  - 1              1 2
+--R                  -    ------              -
+--R          2       x       x       2    3   x    ,
+--R     (- 4x y(x)(%e ) %e       + 4x y(x) (%e ) )y (x)
+--R
+--R   + 
+--R                        2     2                                   2
+--R                 1 2   x  - 1                         1 2        x  - 1
+--R                 -     ------                         -          ------
+--R        2        x        x             2         2   x      2      x
+--R     (2x  - 1)(%e ) (%e      )  + ((- 2x  + 4)y(x) (%e )  - x )%e
+--R   + 
+--R                1 2
+--R                -
+--R            4   x
+--R     - 3y(x) (%e )
+--R                                                     Type: Expression Integer
+--E 31
+
+--S 32 of 130
+ode260 := (2*x**2*y(x)+x)*D(y(x),x)-x**2*y(x)**3+2*x*y(x)**2+y(x)
+--R 
+--R
+--R            2          ,       2    3          2
+--R   (32)  (2x y(x) + x)y (x) - x y(x)  + 2x y(x)  + y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 32
+
+--S 33 of 130
+solve(ode260,y,x)
+--R 
+--R
+--R   (33)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 33
+
+--S 34 of 130
+ode261 := (2*x**2*y(x)-x)*D(y(x),x)-2*x*y(x)**2-y(x)
+--R 
+--R
+--R            2          ,             2
+--R   (34)  (2x y(x) - x)y (x) - 2x y(x)  - y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 34
+
+--S 35 of 130
+solve(ode261,y,x)
+--R 
+--R
+--R   (35)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 35
+
+--S 36 of 130
+ode262 := (2*x**2*y(x)-x**3)*D(y(x),x)+y(x)**3-4*x*y(x)**2+2*x**3
+--R 
+--R
+--R            2        3  ,          3          2     3
+--R   (36)  (2x y(x) - x )y (x) + y(x)  - 4x y(x)  + 2x
+--R
+--R                                                     Type: Expression Integer
+--E 36
+
+--S 37 of 130
+solve(ode262,y,x)
+--R 
+--R
+--R   (37)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 37
+
+--S 38 of 130
+ode263 := 2*x**3+y(x)*D(y(x),x)+3*x**2*y(x)**2+7
+--R 
+--R
+--R              ,        2    2     3
+--R   (38)  y(x)y (x) + 3x y(x)  + 2x  + 7
+--R
+--R                                                     Type: Expression Integer
+--E 38
+
+--S 39 of 130
+solve(ode263,y,x)
+--R 
+--R
+--R            x                            3
+--I          ++      2    2      3       2%K
+--I   (39)   |   (3%K y(x)  + 2%K  + 7)%e    d%K
+--R         ++
+--R                                          Type: Union(Expression Integer,...)
+--E 39
+
+--S 40 of 130
+ode264 := 2*x*(x**3*y(x)+1)*D(y(x),x)+(3*x**3*y(x)-1)*y(x)
+--R 
+--R
+--R            4           ,        3    2
+--R   (40)  (2x y(x) + 2x)y (x) + 3x y(x)  - y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 40
+
+--S 41 of 130
+solve(ode264,y,x)
+--R 
+--R
+--R   (41)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 41
+
+--S 42 of 130
+ode265 := (x**(n*(n+1))*y(x)-1)*D(y(x),x)+2*(n+1)**2*x**(n-1)_
+            *(x**(n**2)*y(x)**2-1)
+--R 
+--R
+--R   (42)
+--R            2                                            2
+--R           n  + n      ,         2              2 n - 1 n
+--R     (y(x)x       - 1)y (x) + (2n  + 4n + 2)y(x) x     x
+--R
+--R   + 
+--R          2           n - 1
+--R     (- 2n  - 4n - 2)x
+--R                                                     Type: Expression Integer
+--E 42
+
+--S 43 of 130
+solve(ode265,y,x)
+--R 
+--R
+--R   (43)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 43
+
+--S 44 of 130
+ode266 := (y(x)-x)*sqrt(x**2+1)*D(y(x),x)-a*sqrt((y(x)**2+1)**3)
+--R 
+--R
+--R                    +------+          +---------------------------+
+--R                    | 2      ,        |    6        4        2
+--R   (44)  (y(x) - x)\|x  + 1 y (x) - a\|y(x)  + 3y(x)  + 3y(x)  + 1
+--R
+--R                                                     Type: Expression Integer
+--E 44
+
+--S 45 of 130
+solve(ode266,y,x)
+--R 
+--R
+--R   (45)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 45
+
+--S 46 of 130
+ode267 := y(x)*D(y(x),x)*sin(x)**2+y(x)**2*cos(x)*sin(x)-1
+--R 
+--R
+--R                   2 ,          2
+--R   (46)  y(x)sin(x) y (x) + y(x) cos(x)sin(x) - 1
+--R
+--R                                                     Type: Expression Integer
+--E 46
+
+--S 47 of 130
+yx:=solve(ode267,y,x)
+--R 
+--R
+--R             2      2
+--R         y(x) sin(x)  - 2x
+--R   (47)  -----------------
+--R                 2
+--R                                          Type: Union(Expression Integer,...)
+--E 47
+
+--S 48 of 130
+ode267expr := yx*D(yx,x)*sin(x)**2+yx**2*cos(x)*sin(x)-1
+--R 
+--R
+--R   (48)
+--R             3      6                4  ,           4            5
+--R       (2y(x) sin(x)  - 4x y(x)sin(x) )y (x) + 3y(x) cos(x)sin(x)
+--R
+--R     + 
+--R            2      4          2            3            2     2
+--R     - 2y(x) sin(x)  - 8x y(x) cos(x)sin(x)  + 4x sin(x)  + 4x cos(x)sin(x) - 4
+--R  /
+--R     4
+--R                                                     Type: Expression Integer
+--E 48
+
+--S 49 of 130
+ode268 := f(x)*y(x)*D(y(x),x)+g(x)*y(x)**2+h(x)
+--R 
+--R
+--R                  ,              2
+--R   (49)  f(x)y(x)y (x) + g(x)y(x)  + h(x)
+--R
+--R                                                     Type: Expression Integer
+--E 49
+
+--S 50 of 130
+solve(ode268,y,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   Function not supported by Risch d.e.
+--R
+--R   Continuing to read the file...
+--R
+--E 50
+
+--S 51 of 130
+ode269 := (g1(x)*y(x)+g0(x))*D(y(x),x)-f1(x)*y(x)-_
+              f2(x)*y(x)**2-f3(x)*y(x)**3-f0(x)
+--R 
+--R
+--R   (50)
+--R                       ,               3            2
+--R   (g1(x)y(x) + g0(x))y (x) - f3(x)y(x)  - f2(x)y(x)  - f1(x)y(x) - f0(x)
+--R
+--R                                                     Type: Expression Integer
+--E 51
+
+--S 52 of 130
+solve(ode269,y,x)
+--R 
+--R
+--R   (51)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 52
+
+--S 53 of 130
+ode270 := (y(x)**2-x)*D(y(x),x)-y(x)+x**2
+--R 
+--R
+--R              2      ,              2
+--R   (52)  (y(x)  - x)y (x) - y(x) + x
+--R
+--R                                                     Type: Expression Integer
+--E 53
+
+--S 54 of 130
+yx:=solve(ode270,y,x)
+--R 
+--R
+--R             3              3
+--R         y(x)  - 3x y(x) + x
+--R   (53)  --------------------
+--R                   3
+--R                                          Type: Union(Expression Integer,...)
+--E 54
+
+--S 55 of 130
+ode270expr := (yx**2-x)*D(yx,x)-yx+x**2
+--R 
+--R
+--R   (54)
+--R               8          6     3    5      2    4     4    3
+--R           y(x)  - 7x y(x)  + 2x y(x)  + 15x y(x)  - 8x y(x)
+--R         + 
+--R             6     3          2     5        7     2
+--R           (x  - 9x  - 9x)y(x)  + 6x y(x) - x  + 9x
+--R      *
+--R          ,
+--R         y (x)
+--R
+--R     + 
+--R             7    2    6          5     3    4      5     2         3
+--R       - y(x)  + x y(x)  + 6x y(x)  - 8x y(x)  + (2x  - 9x  - 3)y(x)
+--R     + 
+--R          4    2        6               8      3     2
+--R       15x y(x)  + (- 7x  + 18x)y(x) + x  - 12x  + 9x
+--R  /
+--R     9
+--R                                                     Type: Expression Integer
+--E 55
+
+--S 56 of 130
+ode271 := (y(x)**2+x**2)*D(y(x),x)+2*x*(y(x)+2*x)
+--R 
+--R
+--R              2    2  ,                  2
+--R   (55)  (y(x)  + x )y (x) + 2x y(x) + 4x
+--R
+--R                                                     Type: Expression Integer
+--E 56
+
+--S 57 of 130
+yx:=solve(ode271,y,x)
+--R 
+--R
+--R             3     2         3
+--R         y(x)  + 3x y(x) + 4x
+--R   (56)  ---------------------
+--R                   3
+--R                                          Type: Union(Expression Integer,...)
+--E 57
+
+--S 58 of 130
+ode271expr := (yx**2+x**2)*D(yx,x)+2*x*(yx+2*x)
+--R 
+--R
+--R   (57)
+--R               8     2    6     3    5      4    4      5    3
+--R           y(x)  + 7x y(x)  + 8x y(x)  + 15x y(x)  + 32x y(x)
+--R         + 
+--R               6     2     2      7          8     4
+--R           (25x  + 9x )y(x)  + 24x y(x) + 16x  + 9x
+--R      *
+--R          ,
+--R         y (x)
+--R
+--R     + 
+--R              7     2    6      3    5      4    4       5          3
+--R       2x y(x)  + 4x y(x)  + 12x y(x)  + 40x y(x)  + (50x  + 6x)y(x)
+--R     + 
+--R          6    2        7      3           8      4      2
+--R       84x y(x)  + (128x  + 36x )y(x) + 64x  + 60x  + 36x
+--R  /
+--R     9
+--R                                                     Type: Expression Integer
+--E 58
+
+--S 59 of 130
+ode272 := (y(x)**2+x**2)*D(y(x),x)-y(x)**2
+--R 
+--R
+--R              2    2  ,          2
+--R   (58)  (y(x)  + x )y (x) - y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 59
+
+--S 60 of 130
+solve(ode272,y,x)
+--R 
+--R
+--R   (59)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 60
+
+--S 61 of 130
+ode273 := (y(x)**2+x**2+a)*D(y(x),x)+2*x*y(x)
+--R 
+--R
+--R              2    2      ,
+--R   (60)  (y(x)  + x  + a)y (x) + 2x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 61
+
+--S 62 of 130
+yx:=solve(ode273,y,x)
+--R 
+--R
+--R             3      2
+--R         y(x)  + (3x  + 3a)y(x)
+--R   (61)  ----------------------
+--R                    3
+--R                                          Type: Union(Expression Integer,...)
+--E 62
+
+--S 63 of 130
+ode273expr := (yx**2+x**2+a)*D(yx,x)+2*x*yx
+--R 
+--R
+--R   (62)
+--R               8      2          6       4        2      2     4
+--R           y(x)  + (7x  + 7a)y(x)  + (15x  + 30a x  + 15a )y(x)
+--R         + 
+--R              6        4       2      2     3          2     4        2     2
+--R           (9x  + 27a x  + (27a  + 9)x  + 9a  + 9a)y(x)  + 9x  + 18a x  + 9a
+--R      *
+--R          ,
+--R         y (x)
+--R
+--R     + 
+--R              7       3             5       5        3       2           3
+--R       2x y(x)  + (12x  + 12a x)y(x)  + (18x  + 36a x  + (18a  + 6)x)y(x)
+--R     + 
+--R           3
+--R       (36x  + 36a x)y(x)
+--R  /
+--R     9
+--R                                                     Type: Expression Integer
+--E 63
+
+--S 64 of 130
+ode274 := (y(x)**2+x**2+a)*D(y(x),x)+2*x*y(x)+x**2+b
+--R 
+--R
+--R              2    2      ,                 2
+--R   (63)  (y(x)  + x  + a)y (x) + 2x y(x) + x  + b
+--R
+--R                                                     Type: Expression Integer
+--E 64
+
+--S 65 of 130
+yx:=solve(ode274,y,x)
+--R 
+--R
+--R             3      2              3
+--R         y(x)  + (3x  + 3a)y(x) + x  + 3b x
+--R   (64)  ----------------------------------
+--R                          3
+--R                                          Type: Union(Expression Integer,...)
+--E 65
+
+--S 66 of 130
+ode274expr := (yx**2+x**2+a)*D(yx,x)+2*x*yx+x**2+b
+--R 
+--R
+--R   (65)
+--R               8      2          6      3            5
+--R           y(x)  + (7x  + 7a)y(x)  + (2x  + 6b x)y(x)
+--R         + 
+--R               4        2      2     4      5              3               3
+--R           (15x  + 30a x  + 15a )y(x)  + (8x  + (24b + 8a)x  + 24a b x)y(x)
+--R         + 
+--R               6              4      2      2      2     3          2
+--R           (10x  + (6b + 27a)x  + (9b  + 27a  + 9)x  + 9a  + 9a)y(x)
+--R         + 
+--R              7               5              2  3      2            8
+--R           (6x  + (18b + 12a)x  + (36a b + 6a )x  + 18a b x)y(x) + x
+--R         + 
+--R                    6      2             4        2        2     2
+--R           (6b + a)x  + (9b  + 6a b + 9)x  + (9a b  + 18a)x  + 9a
+--R      *
+--R          ,
+--R         y (x)
+--R
+--R     + 
+--R              7     2         6       3             5
+--R       2x y(x)  + (x  + b)y(x)  + (12x  + 12a x)y(x)
+--R     + 
+--R           4              2            4
+--R       (10x  + (18b + 6a)x  + 6a b)y(x)
+--R     + 
+--R           5              3      2      2           3
+--R       (20x  + (8b + 36a)x  + (6b  + 18a  + 6)x)y(x)
+--R     + 
+--R           6               4              2  2     2      2
+--R       (21x  + (45b + 30a)x  + (54a b + 9a )x  + 9a b)y(x)
+--R     + 
+--R          7              5       2               3         2                 8
+--R       (8x  + (36b + 6a)x  + (36b  + 24a b + 36)x  + (18a b  + 36a)x)y(x) + x
+--R     + 
+--R           6       2       4      3                 2
+--R       7b x  + (15b  + 15)x  + (9b  + 27b + 9a + 9)x  + (9a + 9)b
+--R  /
+--R     9
+--R                                                     Type: Expression Integer
+--E 66
+
+--S 67 of 130
+ode275 := (y(x)**2+x**2+x)*D(y(x),x)-y(x)
+--R 
+--R
+--R              2    2      ,
+--R   (66)  (y(x)  + x  + x)y (x) - y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 67
+
+--S 68 of 130
+solve(ode275,y,x)
+--R 
+--R
+--R   (67)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 68
+
+--S 69 of 130
+ode276 := (y(x)**2-x**2)*D(y(x),x)+2*x*y(x)
+--R 
+--R
+--R              2    2  ,
+--R   (68)  (y(x)  - x )y (x) + 2x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 69
+
+--S 70 of 130
+yx:=solve(ode276,y,x)
+--R 
+--R
+--R             2    2
+--R         y(x)  + x
+--R   (69)  ----------
+--R            y(x)
+--R                                          Type: Union(Expression Integer,...)
+--E 70
+
+--S 71 of 130
+ode276expr := (yx**2-x**2)*D(yx,x)+2*x*yx
+--R 
+--R
+--R              6    6  ,             5     3    3     5
+--R         (y(x)  - x )y (x) + 4x y(x)  + 4x y(x)  + 2x y(x)
+--R
+--R   (70)  -------------------------------------------------
+--R                                   4
+--R                               y(x)
+--R                                                     Type: Expression Integer
+--E 71
+
+--S 72 of 130
+ode277 := (y(x)**2+x**4)*D(y(x),x)-4*x**3*y(x)
+--R 
+--R
+--R              2    4  ,        3
+--R   (71)  (y(x)  + x )y (x) - 4x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 72
+
+--S 73 of 130
+yx:=solve(ode277,y,x)
+--R 
+--R
+--R             2    4
+--R         y(x)  - x
+--R   (72)  ----------
+--R            y(x)
+--R                                          Type: Union(Expression Integer,...)
+--E 73
+
+--S 74 of 130
+ode277expr := (yx**2+x**4)*D(yx,x)-4*x**3*yx
+--R 
+--R
+--R              6    12  ,        3    5     7    3     11
+--R         (y(x)  + x  )y (x) - 8x y(x)  + 8x y(x)  - 4x  y(x)
+--R
+--R   (73)  ---------------------------------------------------
+--R                                    4
+--R                                y(x)
+--R                                                     Type: Expression Integer
+--E 74
+
+--S 75 of 130
+ode278 := (y(x)**2+4*sin(x))*D(y(x),x)-cos(x)
+--R 
+--R
+--R                        2  ,
+--R   (74)  (4sin(x) + y(x) )y (x) - cos(x)
+--R
+--R                                                     Type: Expression Integer
+--E 75
+
+--S 76 of 130
+yx:=solve(ode278,y,x)
+--R 
+--R
+--R                            2               - 4y(x)
+--R         (- 32sin(x) - 8y(x)  - 4y(x) - 1)%e
+--R   (75)  ------------------------------------------
+--R                             32
+--R                                          Type: Union(Expression Integer,...)
+--E 76
+
+--S 77 of 130
+ode278expr := (yx**2+4*sin(x))*D(yx,x)-cos(x)
+--R 
+--R
+--R   (76)
+--R                         3            2                        2
+--R               4096sin(x)  + (3072y(x)  + 1024y(x) + 256)sin(x)
+--R             + 
+--R                       4          3          2                             6
+--R               (768y(x)  + 512y(x)  + 192y(x)  + 32y(x) + 4)sin(x) + 64y(x)
+--R             + 
+--R                     5         4        3       2
+--R               64y(x)  + 32y(x)  + 8y(x)  + y(x)
+--R          *
+--R                - 4y(x) 3
+--R             (%e       )
+--R         + 
+--R                       2           2         - 4y(x)
+--R           (16384sin(x)  + 4096y(x) sin(x))%e
+--R      *
+--R          ,
+--R         y (x)
+--R
+--R     + 
+--R                             2             2
+--R           - 1024cos(x)sin(x)  + (- 512y(x)  - 256y(x) - 64)cos(x)sin(x)
+--R         + 
+--R                    4         3         2
+--R           (- 64y(x)  - 64y(x)  - 32y(x)  - 8y(x) - 1)cos(x)
+--R      *
+--R            - 4y(x) 3
+--R         (%e       )
+--R     + 
+--R                           - 4y(x)
+--R       - 4096cos(x)sin(x)%e        - 1024cos(x)
+--R  /
+--R     1024
+--R                                                     Type: Expression Integer
+--E 77
+
+--S 78 of 130
+ode279 := (y(x)**2+2*y(x)+x)*D(y(x),x)+(y(x)+x)**2*y(x)**2+y(x)*(y(x)+1)
+--R 
+--R
+--R              2              ,          4          3     2         2
+--R   (77)  (y(x)  + 2y(x) + x)y (x) + y(x)  + 2x y(x)  + (x  + 1)y(x)  + y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 78
+
+--S 79 of 130
+solve(ode279,y,x)
+--R 
+--R
+--R   (78)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 79
+
+--S 80 of 130
+ode280 := (y(x)+x)**2*D(y(x),x)-a**2
+--R 
+--R
+--R              2              2  ,       2
+--R   (79)  (y(x)  + 2x y(x) + x )y (x) - a
+--R
+--R                                                     Type: Expression Integer
+--E 80
+
+--S 81 of 130
+solve(ode280,y,x)
+--R 
+--R
+--R   (80)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 81
+
+--S 82 of 130
+ode281 := (y(x)**2+2*x*y(x)-x**2)*D(y(x),x)-_
+            y(x)**2+2*x*y(x)+x**2
+--R 
+--R
+--R              2              2  ,          2              2
+--R   (81)  (y(x)  + 2x y(x) - x )y (x) - y(x)  + 2x y(x) + x
+--R
+--R                                                     Type: Expression Integer
+--E 82
+
+--S 83 of 130
+solve(ode281,y,x)
+--R 
+--R
+--R   (82)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 83
+
+--S 84 of 130
+ode282 := (y(x)+3*x-1)**2*D(y(x),x)-(2*y(x)-1)*(4*y(x)+6*x-3)
+--R 
+--R
+--R   (83)
+--R          2                    2           ,           2
+--R     (y(x)  + (6x - 2)y(x) + 9x  - 6x + 1)y (x) - 8y(x)  + (- 12x + 10)y(x) + 6x
+--R
+--R   + 
+--R     - 3
+--R                                                     Type: Expression Integer
+--E 84
+
+--S 85 of 130
+solve(ode282,y,x)
+--R 
+--R
+--R   (84)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 85
+
+--S 86 of 130
+ode283 := 3*(y(x)**2-x**2)*D(y(x),x)+2*y(x)**3-6*x*(x+1)*y(x)-3*exp(x)
+--R 
+--R
+--R               2     2  ,         x        3        2
+--R   (85)  (3y(x)  - 3x )y (x) - 3%e  + 2y(x)  + (- 6x  - 6x)y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 86
+
+--S 87 of 130
+yx:=solve(ode283,y,x)
+--R 
+--R
+--R              x 3        3     2        x 2
+--R   (86)  - (%e )  + (y(x)  - 3x y(x))(%e )
+--R                                          Type: Union(Expression Integer,...)
+--E 87
+
+--S 88 of 130
+ode283expr := 3*(yx**2-x**2)*D(yx,x)+2*yx**3-6*x*(x+1)*yx-3*exp(x)
+--R 
+--R
+--R   (87)
+--R               2     2    x 8            5      2    3      4        x 7
+--R         (9y(x)  - 9x )(%e )  + (- 18y(x)  + 72x y(x)  - 54x y(x))(%e )
+--R       + 
+--R               8      2    6       4    4      6    2    x 6
+--R         (9y(x)  - 63x y(x)  + 135x y(x)  - 81x y(x) )(%e )
+--R       + 
+--R              2    2     4    x 2
+--R         (- 9x y(x)  + 9x )(%e )
+--R    *
+--R        ,
+--R       y (x)
+--R
+--R   + 
+--R            x 9          3         2               x 8
+--R     - 11(%e )  + (30y(x)  + (- 90x  - 18x)y(x))(%e )
+--R   + 
+--R              6        2           4          4       3     2    x 7
+--R     (- 27y(x)  + (162x  + 36x)y(x)  + (- 243x  - 108x )y(x) )(%e )
+--R   + 
+--R              9         2           7        4       3     5
+--R         8y(x)  + (- 72x  - 18x)y(x)  + (216x  + 108x )y(x)
+--R       + 
+--R                6       5     3
+--R         (- 216x  - 162x )y(x)
+--R    *
+--R          x 6
+--R       (%e )
+--R   + 
+--R         2         x 3          2          3       4      3         x 2      x
+--R     (15x  + 6x)(%e )  + ((- 12x  - 6x)y(x)  + (36x  + 36x )y(x))(%e )  - 3%e
+--R                                                     Type: Expression Integer
+--E 88
+
+--S 89 of 130
+ode284 := (4*y(x)**2+x**2)*D(y(x),x)-x*y(x)
+--R 
+--R
+--R               2    2  ,
+--R   (88)  (4y(x)  + x )y (x) - x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 89
+
+--S 90 of 130
+yx:=solve(ode284,y,x)
+--R 
+--R
+--R              2             2
+--R         8y(x) log(y(x)) - x
+--R   (89)  --------------------
+--R                     2
+--R                2y(x)
+--R                                          Type: Union(Expression Integer,...)
+--E 90
+
+--S 91 of 130
+ode284expr := (4*yx**2+x**2)*D(yx,x)-x*yx
+--R 
+--R
+--R   (90)
+--R                   6       2    4          2
+--R           (512y(x)  + 128x y(x) )log(y(x))
+--R         + 
+--R                  2    4      4    2               2    6     4    4     4    2
+--R           (- 128x y(x)  - 32x y(x) )log(y(x)) + 8x y(x)  + 2x y(x)  + 8x y(x)
+--R         + 
+--R             6
+--R           2x
+--R      *
+--R          ,
+--R         y (x)
+--R
+--R     + 
+--R                  5         2             7      3    3              3    5
+--R       - 128x y(x) log(y(x))  + (- 8x y(x)  + 32x y(x) )log(y(x)) - x y(x)
+--R     + 
+--R           5
+--R       - 2x y(x)
+--R  /
+--R          7
+--R     2y(x)
+--R                                                     Type: Expression Integer
+--E 91
+
+--S 92 of 130
+ode285 := (4*y(x)**2+2*x*y(x)+3*x**2)*D(y(x),x)+y(x)**2+6*x*y(x)+2*x**2
+--R 
+--R
+--R               2               2  ,          2               2
+--R   (91)  (4y(x)  + 2x y(x) + 3x )y (x) + y(x)  + 6x y(x) + 2x
+--R
+--R                                                     Type: Expression Integer
+--E 92
+
+--S 93 of 130
+yx:=solve(ode285,y,x)
+--R 
+--R
+--R              3          2     2         3
+--R         4y(x)  + 3x y(x)  + 9x y(x) + 2x
+--R   (92)  ---------------------------------
+--R                         3
+--R                                          Type: Union(Expression Integer,...)
+--E 93
+
+--S 94 of 130
+ode285expr := (4*yx**2+2*x*yx+3*x**2)*D(yx,x)+yx**2+6*x*yx+2*x**2
+--R 
+--R
+--R   (93)
+--R                  8            7        2    6         3           5
+--R           256y(x)  + 512x y(x)  + 1680x y(x)  + (2056x  + 96x)y(x)
+--R         + 
+--R                 4       2     4         5       3     3
+--R           (3020x  + 120x )y(x)  + (2160x  + 324x )y(x)
+--R         + 
+--R                 6       4       2     2        7       5      3           8
+--R           (1468x  + 210x  + 108x )y(x)  + (464x  + 186x  + 54x )y(x) + 48x
+--R         + 
+--R              6      4
+--R           36x  + 81x
+--R      *
+--R          ,
+--R         y (x)
+--R
+--R     + 
+--R             8            7         2          6         3           5
+--R       64y(x)  + 480x y(x)  + (1028x  + 16)y(x)  + (2416x  + 48x)y(x)
+--R     + 
+--R             4       2     4         5       3           3
+--R       (2700x  + 243x )y(x)  + (2936x  + 280x  + 72x)y(x)
+--R     + 
+--R             6       4      2     2        7       5       3           8      6
+--R       (1624x  + 465x  + 81x )y(x)  + (384x  + 216x  + 324x )y(x) + 32x  + 28x
+--R     + 
+--R          4      2
+--R       90x  + 18x
+--R  /
+--R     9
+--R                                                     Type: Expression Integer
+--E 94
+
+--S 95 of 130
+ode286 := (2*y(x)-3*x+1)**2*D(y(x),x)-(3*y(x)-2*x-4)**2
+--R 
+--R
+--R   (94)
+--R           2                       2           ,           2
+--R     (4y(x)  + (- 12x + 4)y(x) + 9x  - 6x + 1)y (x) - 9y(x)  + (12x + 24)y(x)
+--R
+--R   + 
+--R         2
+--R     - 4x  - 16x - 16
+--R                                                     Type: Expression Integer
+--E 95
+
+--S 96 of 130
+solve(ode286,y,x)
+--R 
+--R
+--R   (95)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 96
+
+--S 97 of 130
+ode287 := (2*y(x)-4*x+1)**2*D(y(x),x)-(y(x)-2*x)**2
+--R 
+--R
+--R   (96)
+--R         2                        2           ,          2               2
+--R   (4y(x)  + (- 16x + 4)y(x) + 16x  - 8x + 1)y (x) - y(x)  + 4x y(x) - 4x
+--R
+--R                                                     Type: Expression Integer
+--E 97
+
+--S 98 of 130
+solve(ode287,y,x)
+--R 
+--R
+--R   (97)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 98
+
+--S 99 of 130
+ode288 := (6*y(x)**2-3*x**2*y(x)+1)*D(y(x),x)-3*x*y(x)**2+x
+--R 
+--R
+--R               2     2          ,             2
+--R   (98)  (6y(x)  - 3x y(x) + 1)y (x) - 3x y(x)  + x
+--R
+--R                                                     Type: Expression Integer
+--E 99
+
+--S 100 of 130
+yx:=solve(ode288,y,x)
+--R 
+--R
+--R              3     2    2            2
+--R         4y(x)  - 3x y(x)  + 2y(x) + x
+--R   (99)  ------------------------------
+--R                        2
+--R                                          Type: Union(Expression Integer,...)
+--E 100
+
+--S 101 of 130
+ode288expr := (6*yx**2-3*x**2*yx+1)*D(yx,x)-3*x*yx**2+x
+--R 
+--R
+--R   (100)
+--R                  8        2    7        4           6          6       2     5
+--R           576y(x)  - 1152x y(x)  + (756x  + 672)y(x)  + (- 162x  - 720x )y(x)
+--R         + 
+--R               4           4       6      2     3         4          2
+--R           (90x  + 240)y(x)  + (54x  - 48x )y(x)  + (- 54x  + 48)y(x)  + 4
+--R      *
+--R          ,
+--R         y (x)
+--R
+--R     + 
+--R                  8       3    7          5            6      3    5
+--R       - 288x y(x)  + 432x y(x)  + (- 162x  - 240x)y(x)  + 72x y(x)
+--R     + 
+--R           5           4      3    3     5
+--R       (81x  - 24x)y(x)  - 72x y(x)  - 3x  + 8x
+--R  /
+--R     4
+--R                                                     Type: Expression Integer
+--E 101
+
+--S 102 of 130
+ode289 := (6*y(x)-x)**2*D(y(x),x)-6*y(x)**2+2*x*y(x)+a
+--R 
+--R
+--R                 2               2  ,           2
+--R   (101)  (36y(x)  - 12x y(x) + x )y (x) - 6y(x)  + 2x y(x) + a
+--R
+--R                                                     Type: Expression Integer
+--E 102
+
+--S 103 of 130
+yx:=solve(ode289,y,x)
+--R 
+--R
+--R                3          2    2
+--R   (102)  12y(x)  - 6x y(x)  + x y(x) + a x
+--R                                          Type: Union(Expression Integer,...)
+--E 103
+
+--S 104 of 130
+ode289expr := (6*yx-x)**2*D(yx,x)-6*yx**2+2*x*yx+a
+--R 
+--R
+--R   (103)
+--R                   8               7          2    6
+--R         186624y(x)  - 248832x y(x)  + 145152x y(x)
+--R       + 
+--R                  3                        5
+--R         (- 46656x  + (31104a - 5184)x)y(x)
+--R       + 
+--R               4                     2     4          5                  3     3
+--R         (8640x  + (- 25920a + 4320)x )y(x)  + (- 864x  + (8640a - 1440)x )y(x)
+--R       + 
+--R             6                   4         2              2     2
+--R         (36x  + (- 1296a + 216)x  + (1296a  - 432a + 36)x )y(x)
+--R       + 
+--R                     5          2              3            2            4
+--R         ((72a - 12)x  + (- 432a  + 144a - 12)x )y(x) + (36a  - 12a + 1)x
+--R    *
+--R        ,
+--R       y (x)
+--R
+--R   + 
+--R                8              7            2                   6
+--R     - 31104y(x)  + 41472x y(x)  + (- 23328x  + 5184a - 864)y(x)
+--R   + 
+--R           3                          5           4                  2     4
+--R     (6912x  + (- 10368a + 1728)x)y(x)  + (- 1080x  + (6480a - 1080)x )y(x)
+--R   + 
+--R         5                   3        2                   3
+--R     (72x  + (- 1728a + 288)x  + (864a  - 288a + 24)x)y(x)
+--R   + 
+--R                  4          2              2     2        2            3
+--R     ((180a - 30)x  + (- 648a  + 216a - 18)x )y(x)  + (144a  - 48a + 4)x y(x)
+--R   + 
+--R         3      2       2
+--R     (36a  - 18a  + 3a)x  + a
+--R                                                     Type: Expression Integer
+--E 104
+
+--S 105 of 130
+ode290 := (a*y(x)**2+2*b*x*y(x)+c*x**2)*D(y(x),x)+b*y(x)**2+2*c*x*y(x)+d*x**2
+--R 
+--R
+--R                 2                  2  ,            2                  2
+--R   (104)  (a y(x)  + 2b x y(x) + c x )y (x) + b y(x)  + 2c x y(x) + d x
+--R
+--R                                                     Type: Expression Integer
+--E 105
+
+--S 106 of 130
+yx:=solve(ode290,y,x)
+--R 
+--R
+--R                3            2       2          3
+--R          a y(x)  + 3b x y(x)  + 3c x y(x) + d x
+--R   (105)  ---------------------------------------
+--R                             3
+--R                                          Type: Union(Expression Integer,...)
+--E 106
+
+--S 107 of 130
+ode290expr:=(a*yx**2+2*b*x*yx+c*x**2)*D(yx,x)+b*yx**2+2*c*x*yx+d*x**2
+--R 
+--R
+--R   (106)
+--R            4    8     3        7      3       2 2  2    6
+--R           a y(x)  + 8a b x y(x)  + (7a c + 21a b )x y(x)
+--R         + 
+--R               3       2           3  3     2        5
+--R           ((2a d + 36a b c + 18a b )x  + 6a b x)y(x)
+--R         + 
+--R                2         2 2        2   4        2 2     4
+--R           ((10a b d + 15a c  + 45a b c)x  + 30a b x )y(x)
+--R         + 
+--R                2         2            2  5                 3  3     3
+--R           (((8a c + 12a b )d + 36a b c )x  + (24a b c + 36b )x )y(x)
+--R         + 
+--R              2 2                   3  6                2   4         2     2
+--R           ((a d  + 18a b c d + 9a c )x  + (6a b d + 54b c)x  + 9a c x )y(x)
+--R         + 
+--R                   2       2   7       2         2  5          3             2 8
+--R           ((2a b d  + 6a c d)x  + (12b d + 18b c )x  + 18b c x )y(x) + a c d x
+--R         + 
+--R                   6     2 4
+--R           6b c d x  + 9c x
+--R      *
+--R          ,
+--R         y (x)
+--R
+--R     + 
+--R        3      8      3      2 2       7
+--R       a b y(x)  + (2a c + 6a b )x y(x)
+--R     + 
+--R          3       2          3  2    2      6
+--R       ((a d + 18a b c + 9a b )x  + a b)y(x)
+--R     + 
+--R           2         2 2        2   3        2      5
+--R       ((8a b d + 12a c  + 36a b c)x  + 12a b x)y(x)
+--R     + 
+--R             2         2            2  4                 3  2     4
+--R       (((10a c + 15a b )d + 45a b c )x  + (18a b c + 27b )x )y(x)
+--R     + 
+--R           2 2                    3  5                2   3              3
+--R       ((2a d  + 36a b c d + 18a c )x  + (8a b d + 72b c)x  + 6a c x)y(x)
+--R     + 
+--R               2        2   6       2         2  4          2     2
+--R       ((7a b d  + 21a c d)x  + (30b d + 45b c )x  + 27b c x )y(x)
+--R     + 
+--R            2 7            5      2 3           3 8       2 6          4       2
+--R     (8a c d x  + 36b c d x  + 36c x )y(x) + a d x  + 7b d x  + 15c d x  + 9d x
+--R  /
+--R     9
+--R                                                     Type: Expression Integer
+--E 107
+
+--S 108 of 130
+ode291 := (b*(beta*y(x)+alpha*x)**2-beta*(b*y(x)+a*x))*D(y(x),x)+_
+              a*(beta*y(x)+alpha*x)**2-alpha*(b*y(x)+a*x)
+--R 
+--R
+--R   (107)
+--R              2    2                                         2   2
+--R       (b beta y(x)  + (2alpha b beta x - b beta)y(x) + alpha b x  - a beta x)
+--R    *
+--R        ,
+--R       y (x)
+--R
+--R   + 
+--R           2    2                                            2 2
+--R     a beta y(x)  + (2a alpha beta x - alpha b)y(x) + a alpha x  - a alpha x
+--R                                                     Type: Expression Integer
+--E 108
+
+--S 109 of 130
+solve(ode291,y,x)
+--R 
+--R
+--R   (108)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 109
+
+--S 110 of 130
+ode292 := (a*y(x)+b*x+c)**2*D(y(x),x)+(alpha*y(x)+beta*x+gamma)**2
+--R 
+--R
+--R   (109)
+--R       2    2                          2 2             2  ,           2    2
+--R     (a y(x)  + (2a b x + 2a c)y(x) + b x  + 2b c x + c )y (x) + alpha y(x)
+--R
+--R   + 
+--R                                              2 2                        2
+--R     (2alpha beta x + 2alpha gamma)y(x) + beta x  + 2beta gamma x + gamma
+--R                                                     Type: Expression Integer
+--E 110
+
+--S 111 of 130
+solve(ode292,y,x)
+--R 
+--R
+--R   (110)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 111
+
+--S 112 of 130
+ode293 := x*(y(x)**2-3*x)*D(y(x),x)+2*y(x)**3-5*x*y(x)
+--R 
+--R
+--R                 2     2  ,           3
+--R   (111)  (x y(x)  - 3x )y (x) + 2y(x)  - 5x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 112
+
+--S 113 of 130
+solve(ode293,y,x)
+--R 
+--R
+--R   (112)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 113
+
+--S 114 of 130
+ode294 := x*(y(x)**2+x**2-a)*D(y(x),x)-y(x)*(y(x)**2+x**2+a)
+--R 
+--R
+--R                 2    3        ,          3       2
+--R   (113)  (x y(x)  + x  - a x)y (x) - y(x)  + (- x  - a)y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 114
+
+--S 115 of 130
+solve(ode294,y,x)
+--R 
+--R
+--R   (114)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 115
+
+--S 116 of 130
+ode295 := x*(y(x)**2+x*y(x)-x**2)*D(y(x),x)-y(x)**3+x*y(x)**2+x**2*y(x)
+--R 
+--R
+--R                 2    2        3  ,          3         2    2
+--R   (115)  (x y(x)  + x y(x) - x )y (x) - y(x)  + x y(x)  + x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 116
+
+--S 117 of 130
+solve(ode295,y,x)
+--R 
+--R
+--R   (116)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 117
+
+--S 118 of 130
+ode296 := x*(y(x)**2+x**2*y(x)+x**2)*D(y(x),x)-2*y(x)**3-2*x**2*y(x)**2+x**4
+--R 
+--R
+--R                 2    3        3  ,           3     2    2    4
+--R   (117)  (x y(x)  + x y(x) + x )y (x) - 2y(x)  - 2x y(x)  + x
+--R
+--R                                                     Type: Expression Integer
+--E 118
+
+--S 119 of 130
+solve(ode296,y,x)
+--R 
+--R
+--R   (118)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 119
+
+--S 120 of 130
+ode297 := 2*x*(y(x)**2+5*x**2)*D(y(x),x)+y(x)**3-x**2*y(x)
+--R 
+--R
+--R                  2      3  ,          3    2
+--R   (119)  (2x y(x)  + 10x )y (x) + y(x)  - x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 120
+
+--S 121 of 130
+solve(ode297,y,x)
+--R 
+--R
+--R   (120)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 121
+
+--S 122 of 130
+ode298 := 3*x*y(x)**2*D(y(x),x)+y(x)**3-2*x
+--R 
+--R
+--R                 2 ,          3
+--R   (121)  3x y(x) y (x) + y(x)  - 2x
+--R
+--R                                                     Type: Expression Integer
+--E 122
+
+--S 123 of 130
+yx:=solve(ode298,y,x)
+--R 
+--R
+--R                3    2
+--R   (122)  x y(x)  - x
+--R                                          Type: Union(Expression Integer,...)
+--E 123
+
+--S 124 of 130
+ode298expr := 3*x*yx**2*D(yx,x)+yx**3-2*x
+--R 
+--R
+--R   (123)
+--R        4    8      5    5     6    2  ,        3    9      4    6      5    3
+--R     (9x y(x)  - 18x y(x)  + 9x y(x) )y (x) + 4x y(x)  - 15x y(x)  + 18x y(x)
+--R
+--R   + 
+--R         6
+--R     - 7x  - 2x
+--R                                                     Type: Expression Integer
+--E 124
+
+--S 125 of 130
+ode299 := (3*x*y(x)**2-x**2)*D(y(x),x)+y(x)**3-2*x*y(x)
+--R 
+--R
+--R                  2    2  ,          3
+--R   (124)  (3x y(x)  - x )y (x) + y(x)  - 2x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 125
+
+--S 126 of 130
+yx:=solve(ode299,y,x)
+--R 
+--R
+--R                3    2
+--R   (125)  x y(x)  - x y(x)
+--R                                          Type: Union(Expression Integer,...)
+--E 126
+
+--S 127 of 130
+ode299expr := (3*x*yx**2-x**2)*D(yx,x)+yx**3-2*x*yx
+--R 
+--R
+--R   (126)
+--R        4    8      5    6      6    4        7     3     2    4  ,
+--R     (9x y(x)  - 21x y(x)  + 15x y(x)  + (- 3x  - 3x )y(x)  + x )y (x)
+--R
+--R   + 
+--R       3    9      4    7      5    5        6     2     3     3
+--R     4x y(x)  - 15x y(x)  + 18x y(x)  + (- 7x  - 3x )y(x)  + 4x y(x)
+--R                                                     Type: Expression Integer
+--E 127
+
+--S 128 of 130
+ode300 := 6*x*y(x)**2*D(y(x),x)+2*y(x)**3+x
+--R 
+--R
+--R                 2 ,           3
+--R   (127)  6x y(x) y (x) + 2y(x)  + x
+--R
+--R                                                     Type: Expression Integer
+--E 128
+
+--S 129 of 130
+yx:=solve(ode300,y,x)
+--R 
+--R
+--R                 3    2
+--R          4x y(x)  + x
+--R   (128)  -------------
+--R                2
+--R                                          Type: Union(Expression Integer,...)
+--E 129
+
+--S 130 of 130
+ode300expr := 6*x*yx**2*D(yx,x)+2*yx**3+x
+--R 
+--R
+--R   (129)
+--R            4    8       5    5      6    2  ,          3    9       4    6
+--R       (576x y(x)  + 288x y(x)  + 36x y(x) )y (x) + 256x y(x)  + 240x y(x)
+--R
+--R     + 
+--R          5    3     6
+--R       72x y(x)  + 7x  + 4x
+--R  /
+--R     4
+--R                                                     Type: Expression Integer
+--E 130
+
+)spool
+)lisp (bye)
+ 
+@
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} {\bf http://www.cs.uwaterloo.ca/$\tilde{}$ecterrab/odetools.html}
+\end{thebibliography}
+\end{document}
